/*
 * File: Acronym.js
 * ----------------
 * This file defines the function acronym, which generates acronyms from
 * a string.
 */

/* Constants */
const ALPHABET = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
const PHRASES = [
   "not in my back yard",
   "self-contained underwater breathing apparatus",
   "as far as i know",
   "what you see is what you get",
   "shake my damn head",
   "North American Free Trade Agreement", 
   "Internal Revenue Service",
   "International Business Machines",
   "Gross Domestic Product"
];

/**
 * Function: Acronym
 * -----------------
 * Operates as a test harness to confirm that the most robust version of
 * acronym works properly.
 */
function Acronym() {
   for (let i = 0; i < PHRASES.length; i++) {
      console.log("acronym(\"" + PHRASES[i] + "\") -> \"" + acronym(PHRASES[i]) + "\"");
   }
}

/*
 * Generates the acronym of the specified string, which is a string formed
 * from the first letter of each word.  Word boundaries are indicated by
 * sequences of nonletters.
 */
function acronym(str) {
   // replace the following line with the implementation that
   // actually constructs an acronym
   return str;
}

/*
 * Returns true if the character ch is a letter.
 */
function isLetter(ch) {
   return ch.length === 1 &&
          ALPHABET.indexOf(ch.toUpperCase()) !== -1;
}
